diff --git a/drivers/tty/serial/msm_geni_serial.c b/drivers/tty/serial/msm_geni_serial.c
index 4447efd730a7..4a0b6ca8441a 100644
--- a/drivers/tty/serial/msm_geni_serial.c
+++ b/drivers/tty/serial/msm_geni_serial.c
@@ -3238,7 +3238,7 @@ static int msm_geni_serial_probe(struct platform_device *pdev)
 								GFP_KERNEL);
 
 		pm_runtime_set_suspended(&pdev->dev);
-		pm_runtime_set_autosuspend_delay(&pdev->dev, 150);
+		pm_runtime_set_autosuspend_delay(&pdev->dev, -1);
 		pm_runtime_use_autosuspend(&pdev->dev);
 		pm_runtime_enable(&pdev->dev);
 	}
